Bug 866629 - [abrt] python-2.7.3-7.2.fc17: PyObject_Free: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-7.2.fc17: PyObject_Free: Process /usr/bin/python2.7 was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:8f8163c5181454dc87b5c683692...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 14:34 EDT by Matthew Spiegel
Modified: 2013-07-31 15:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:51:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (4.94 KB, text/plain)
2012-10-15 14:34 EDT, Matthew Spiegel
no flags Details
File: event_log (9.10 KB, text/plain)
2012-10-15 14:34 EDT, Matthew Spiegel
no flags Details
File: backtrace (17.88 KB, text/plain)
2012-10-15 14:34 EDT, Matthew Spiegel
no flags Details
File: coredump (3.07 MB, text/plain)
2012-10-15 14:35 EDT, Matthew Spiegel
no flags Details

  None (edit)
Description Matthew Spiegel 2012-10-15 14:34:48 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/duplicity --version
comment:        Log on to account notified of failure.
crash_function: PyObject_Free
executable:     /usr/bin/python2.7
kernel:         3.5.2-3.fc17.i686
pid:            1083
pwd:            /home/quicken
remote_result:  NOTFOUND
time:           Sat 08 Sep 2012 12:49:42 PM MDT
uid:            1000
username:       quicken

backtrace:      Text file, 18305 bytes
core_backtrace: Text file, 5055 bytes
event_log:      Text file, 9321 bytes

build_ids:
:480227a7bca28f7b6f8a785f94d35274f692e9d0
:3315dc1f02dea0ab28a3f5f08ce3f07c9e156291
:db6c0f5e6d5c4c0b791a6cccb49ea2ff3a1d98f0
:a052236088d0e128748dd47a336e683e8576e79d
:449aa83923382612c4b054e26f3de7a9f6f65192
:1a4e21dfc61b6fe60c05439629bb65283953aa3e
:e0a36198bfd6a9fe5b449ab5dc7704936d83ea5c
:7a1576593c9a13323f6d2a0939b7fe551cce5a3f

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/quicken/2

dso_list:
:/usr/lib/locale/locale-archive glibc-common-2.15-56.fc17.i686 (Fedora Project) 1345505136
:/usr/lib/libc-2.15.so glibc-2.15-56.fc17.i686 (Fedora Project) 1345505074
:/usr/lib/libpython2.7.so.1.0 python-libs-2.7.3-7.2.fc17.i686 (Fedora Project) 1344204116
:/usr/lib/libdl-2.15.so glibc-2.15-56.fc17.i686 (Fedora Project) 1345505074
:/usr/lib/libutil-2.15.so glibc-2.15-56.fc17.i686 (Fedora Project) 1345505074
:/usr/lib/libpthread-2.15.so glibc-2.15-56.fc17.i686 (Fedora Project) 1345505074
:/usr/lib/ld-2.15.so glibc-2.15-56.fc17.i686 (Fedora Project) 1345505074
:/usr/bin/python2.7 python-2.7.3-7.2.fc17.i686 (Fedora Project) 1344204127
:/usr/lib/libm-2.15.so glibc-2.15-56.fc17.i686 (Fedora Project) 1345505074

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=accounts.desktop
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/quicken/keyring-72iJz0
:IMSETTINGS_MODULE=none
:USER=quicken
:USERNAME=quicken
:MAIL=/var/spool/mail/quicken
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/quicken/.local/bin:/home/quicken/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/quicken
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=842
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/quicken
:SHLVL=1
:LOGNAME=quicken
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-dA33cHkVTX,guid=e6adf12c677672ebcdd3e84300000052
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/quicken
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-quicken-hr5BDH/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/844,unix/unix:/tmp/.ICE-unix/844
:SSH_AUTH_SOCK=/run/user/quicken/keyring-72iJz0/ssh
:GPG_AGENT_INFO=/run/user/quicken/keyring-72iJz0/gpg:0:1
:DESKTOP_AUTOSTART_ID=10d0db249dd9b6721c134713016350615400000008440015

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 5803                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       5803                 5803                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:08048000-08049000 r-xp 00000000 fd:01 172995     /usr/bin/python2.7
:08049000-0804a000 r--p 00000000 fd:01 172995     /usr/bin/python2.7
:0804a000-0804b000 rw-p 00001000 fd:01 172995     /usr/bin/python2.7
:09436000-09505000 rw-p 00000000 00:00 0          [heap]
:42cae000-42ccd000 r-xp 00000000 fd:01 167309     /usr/lib/ld-2.15.so
:42ccd000-42cce000 r--p 0001e000 fd:01 167309     /usr/lib/ld-2.15.so
:42cce000-42ccf000 rw-p 0001f000 fd:01 167309     /usr/lib/ld-2.15.so
:42cd1000-42e7c000 r-xp 00000000 fd:01 172177     /usr/lib/libc-2.15.so
:42e7c000-42e7d000 ---p 001ab000 fd:01 172177     /usr/lib/libc-2.15.so
:42e7d000-42e7f000 r--p 001ab000 fd:01 172177     /usr/lib/libc-2.15.so
:42e7f000-42e80000 rw-p 001ad000 fd:01 172177     /usr/lib/libc-2.15.so
:42e80000-42e83000 rw-p 00000000 00:00 0 
:42e85000-42e9b000 r-xp 00000000 fd:01 172182     /usr/lib/libpthread-2.15.so
:42e9b000-42e9c000 r--p 00015000 fd:01 172182     /usr/lib/libpthread-2.15.so
:42e9c000-42e9d000 rw-p 00016000 fd:01 172182     /usr/lib/libpthread-2.15.so
:42e9d000-42e9f000 rw-p 00000000 00:00 0 
:42ea1000-42ea4000 r-xp 00000000 fd:01 172179     /usr/lib/libdl-2.15.so
:42ea4000-42ea5000 r--p 00002000 fd:01 172179     /usr/lib/libdl-2.15.so
:42ea5000-42ea6000 rw-p 00003000 fd:01 172179     /usr/lib/libdl-2.15.so
:42eb3000-42edc000 r-xp 00000000 fd:01 145789     /usr/lib/libm-2.15.so
:42edc000-42edd000 r--p 00028000 fd:01 145789     /usr/lib/libm-2.15.so
:42edd000-42ede000 rw-p 00029000 fd:01 145789     /usr/lib/libm-2.15.so
:42f99000-430f7000 r-xp 00000000 fd:01 166541     /usr/lib/libpython2.7.so.1.0
:430f7000-430f8000 r--p 0015d000 fd:01 166541     /usr/lib/libpython2.7.so.1.0
:430f8000-43126000 rw-p 0015e000 fd:01 166541     /usr/lib/libpython2.7.so.1.0
:43126000-43130000 rw-p 00000000 00:00 0 
:44761000-44763000 r-xp 00000000 fd:01 172346     /usr/lib/libutil-2.15.so
:44763000-44764000 r--p 00001000 fd:01 172346     /usr/lib/libutil-2.15.so
:44764000-44765000 rw-p 00002000 fd:01 172346     /usr/lib/libutil-2.15.so
:b7396000-b749b000 rw-p 00000000 00:00 0 
:b749b000-b769b000 r--p 00000000 fd:01 172172     /usr/lib/locale/locale-archive
:b769b000-b7760000 rw-p 00000000 00:00 0 
:b7770000-b7771000 rw-p 00000000 00:00 0 
:b7771000-b7772000 r-xp 00000000 00:00 0          [vdso]
:bfdca000-bfdeb000 rw-p 00000000 00:00 0          [stack]

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:pipe:[19284]
:pos:	0
:flags:	01
:2:/home/quicken/.xsession-errors
:pos:	1945
:flags:	02002
:3:/usr/bin/duplicity
:pos:	55286
:flags:	0100000

smolt_data:
:
:
:General
:=================================
:UUID: 403a2da2-22cf-4961-a0e4-ba0deab5cc20
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 1497.96
:CPU Vendor: GenuineIntel
:CPU Model: Pentium III (Coppermine)
:CPU Stepping: 6
:CPU Family: 6
:CPU Model Num: 8
:Number of CPUs: 1
:CPU Speed: 748
:System Memory: 742
:System Swap: 1503
:Vendor: VIA Technologies, Inc.
:System: VT8601 
:Form factor: Desktop
:Kernel: 3.6.1-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4724:22656:4724:8192) pci, snd_ens1371, MULTIMEDIA_AUDIO, Creative Sound Blaster AudioPCI128
:(4358:1393:4358:1393) pci, pata_via, STORAGE, VT82C586/B/VT82C686/A/B/VT8233/A/C/VT8235 PIPC Bus Master IDE
:(4358:1670:4358:0) pci, parport_pc, PCI/ISA, VT82C686/A PCI to ISA Bridge
:(4358:12344:2341:4660) pci, uhci_hcd, USB, VA-502 Mainboard
:(4358:12344:2341:4660) pci, uhci_hcd, USB, VA-502 Mainboard
:(4358:12375:4358:12375) pci, None, BRIDGE, VT82C686 [Apollo Super ACPI]
:(4525:2:4997:61444) pci, tulip, ETHERNET, FA310TX
:(4318:802:14402:45833) pci, nouveau, VIDEO, NV34 [GeForce FX 5200]
:(4131:34048:4131:34048) pci, None, VIDEO, CyberBlade/i1
:(4358:1537:4358:1537) pci, agpgart-via, HOST/PCI, VT8601 [Apollo ProMedia]
:(4358:34305:0:0) pci, None, PCI/PCI, VT8601 [Apollo ProMedia AGP]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_accounts-lv_root00 / ext4 4096 4096 4297427 2598343 2554687 1097728 957557 957557
:/dev/sda1 /boot ext4 1024 1024 495844 402001 376401 128016 127661 127661
:

var_log_messages:
:Sep  8 12:49:40 accounts kernel: [  102.362108] duplicity[1083]: segfault at 80000010 ip 43006add sp bfde9570 error 4 in libpython2.7.so.1.0[42f99000+15e000]
:Sep  8 12:49:43 accounts abrt[1190]: Saved core dump of pid 1083 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-09-08-12:49:42-1083 (3223552 bytes)
Comment 1 Matthew Spiegel 2012-10-15 14:34:53 EDT
Created attachment 627608 [details]
File: core_backtrace
Comment 2 Matthew Spiegel 2012-10-15 14:34:56 EDT
Created attachment 627609 [details]
File: event_log
Comment 3 Matthew Spiegel 2012-10-15 14:34:57 EDT
Created attachment 627610 [details]
File: backtrace
Comment 4 Matthew Spiegel 2012-10-15 14:35:50 EDT
Created attachment 627611 [details]
File: coredump
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:07:12 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:07:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:09:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2013-07-03 16:14:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 15:51:48 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.